首页新闻找找看学习计划

启动 django 项目提示数据库连接失败

0
悬赏园豆:10 [待解决问题]

一、python 版本
python 3.8.1

二、mysqlclient 版本
1.4.6

三、数据库

四、settings.py

五、源代码

六、错误提示
"C:\Program Files\JetBrains\PyCharm 2018.2.4\bin\runnerw.exe" E:\测试mysql数据库\venv\Scripts\python.exe E:/测试mysql数据库/manage.py runserver 8000
Watching for file changes with StatReloader
Exception in thread django-main-thread:
Traceback (most recent call last):
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\backends\mysql\base.py", line 16, in <module>
import MySQLdb as Database
ModuleNotFoundError: No module named 'MySQLdb'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\threading.py", line 932, in _bootstrap_inner
self.run()
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\threading.py", line 870, in run
self._target(*self._args, **self._kwargs)
File "E:\测试mysql数据库\venv\lib\site-packages\django\utils\autoreload.py", line 53, in wrapper
fn(*args, **kwargs)
File "E:\测试mysql数据库\venv\lib\site-packages\django\core\management\commands\runserver.py", line 109, in inner_run
autoreload.raise_last_exception()
File "E:\测试mysql数据库\venv\lib\site-packages\django\utils\autoreload.py", line 76, in raise_last_exception
raise _exception[1]
File "E:\测试mysql数据库\venv\lib\site-packages\django\core\management__init__.py", line 357, in execute
autoreload.check_errors(django.setup)()
File "E:\测试mysql数据库\venv\lib\site-packages\django\utils\autoreload.py", line 53, in wrapper
fn(*args, **kwargs)
File "E:\测试mysql数据库\venv\lib\site-packages\django__init__.py", line 24, in setup
apps.populate(settings.INSTALLED_APPS)
File "E:\测试mysql数据库\venv\lib\site-packages\django\apps\registry.py", line 114, in populate
app_config.import_models()
File "E:\测试mysql数据库\venv\lib\site-packages\django\apps\config.py", line 211, in import_models
self.models_module = import_module(models_module_name)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\importlib__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
File "<frozen importlib._bootstrap>", line 991, in _find_and_load
File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 783, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "E:\测试mysql数据库\venv\lib\site-packages\django\contrib\auth\models.py", line 2, in <module>
from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
File "E:\测试mysql数据库\venv\lib\site-packages\django\contrib\auth\base_user.py", line 47, in <module>
class AbstractBaseUser(models.Model):
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\models\base.py", line 121, in new
new_class.add_to_class('_meta', Options(meta, app_label))
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\models\base.py", line 325, in add_to_class
value.contribute_to_class(cls, name)
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\models\options.py", line 208, in contribute_to_class
self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())
File "E:\测试mysql数据库\venv\lib\site-packages\django\db__init__.py", line 28, in getattr
return getattr(connections[DEFAULT_DB_ALIAS], item)
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\utils.py", line 207, in getitem
backend = load_backend(db['ENGINE'])
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\utils.py", line 111, in load_backend
return import_module('%s.base' % backend_name)
File "C:\Users\Administrator\AppData\Local\Programs\Python\Python38\lib\importlib__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "E:\测试mysql数据库\venv\lib\site-packages\django\db\backends\mysql\base.py", line 18, in <module>
raise ImproperlyConfigured(
django.core.exceptions.ImproperlyConfigured: Error loading MySQLdb module.
Did you install mysqlclient?

求教这是啥问题。 谢谢。 在线等。

飞翔的石牌人的主页 飞翔的石牌人 | 初学一级 | 园豆:184
提问于:2020-02-13 18:59
< >
分享
所有回答(3)
0
dudu | 园豆:39166 (高人七级) | 2020-02-13 20:01

可是我使用的是 mysqlclient 呀。

支持(0) 反对(0) 飞翔的石牌人 | 园豆:184 (初学一级) | 2020-02-13 20:30
0

你安装了mysqlclient吗?并且import 了嘛?

Cgrain | 园豆:482 (菜鸟二级) | 2020-02-13 20:20

需要在哪里 import 阿。 新手, 第一次用这个。

支持(0) 反对(0) 飞翔的石牌人 | 园豆:184 (初学一级) | 2020-02-13 20:26

@飞翔的石牌人: __init.py文件

支持(0) 反对(0) Cgrain | 园豆:482 (菜鸟二级) | 2020-02-13 21:15

@飞翔的石牌人: https://www.cnblogs.com/whatarey/p/11426945.html

支持(0) 反对(0) Cgrain | 园豆:482 (菜鸟二级) | 2020-02-13 21:16

@Cgrain: 试了下, 还是不行。 能否加个QQ。 远程帮忙看下, 可以请您抽烟。

支持(0) 反对(0) 飞翔的石牌人 | 园豆:184 (初学一级) | 2020-02-13 23:00

@飞翔的石牌人: 你qq多少?

支持(0) 反对(0) Cgrain | 园豆:482 (菜鸟二级) | 2020-02-14 09:01
0

python2和python3在数据库模块支持这里存在区别,python2是mysqldb,而到了python3就变成mysqlclient,pip install mysqlclient试试。
另外别用中文路径。

ycyzharry | 园豆:19587 (专家六级) | 2020-02-13 23:04

我已经安装了 mysqlclient

支持(0) 反对(0) 飞翔的石牌人 | 园豆:184 (初学一级) | 2020-02-13 23:17

会不会是我创建 django 项目的时候虚拟环境选择的不对呀?

支持(0) 反对(0) 飞翔的石牌人 | 园豆:184 (初学一级) | 2020-02-13 23:21
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册